import { PropType, ExtractPropTypes } from "vue";
declare const modalProps: {
    visible: BooleanConstructor;
    icon: ObjectConstructor;
    title: StringConstructor;
    width: {
        default: number;
    };
    bodyStyle: (StringConstructor | ObjectConstructor)[];
    bodyClass: StringConstructor;
    to: {
        type: PropType<string | import("vue").RendererElement>;
        default: string;
    };
    footer: BooleanConstructor;
    ok: {
        default: boolean;
    };
    cancel: {
        default: boolean;
    };
    mask: {
        default: boolean;
    };
    maskClosable: {
        default: boolean;
    };
    closable: {
        default: boolean;
    };
    esc: {
        default: boolean;
    };
    beforeOk: {
        type: PropType<() => Boolean | Promise<void>>;
    };
};
export type ModalProps = ExtractPropTypes<typeof modalProps>;
export declare const prefixCls = "x-modal";
declare const _default: import("vue").DefineComponent<{
    visible: BooleanConstructor;
    icon: ObjectConstructor;
    title: StringConstructor;
    width: {
        default: number;
    };
    bodyStyle: (StringConstructor | ObjectConstructor)[];
    bodyClass: StringConstructor;
    to: {
        type: PropType<string | import("vue").RendererElement>;
        default: string;
    };
    footer: BooleanConstructor;
    ok: {
        default: boolean;
    };
    cancel: {
        default: boolean;
    };
    mask: {
        default: boolean;
    };
    maskClosable: {
        default: boolean;
    };
    closable: {
        default: boolean;
    };
    esc: {
        default: boolean;
    };
    beforeOk: {
        type: PropType<() => Boolean | Promise<void>>;
    };
}, (vm: any) => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:visible" | "ok" | "cancel" | "afterLeave" | "maskClick")[], "change" | "update:visible" | "ok" | "cancel" | "afterLeave" | "maskClick", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    visible: BooleanConstructor;
    icon: ObjectConstructor;
    title: StringConstructor;
    width: {
        default: number;
    };
    bodyStyle: (StringConstructor | ObjectConstructor)[];
    bodyClass: StringConstructor;
    to: {
        type: PropType<string | import("vue").RendererElement>;
        default: string;
    };
    footer: BooleanConstructor;
    ok: {
        default: boolean;
    };
    cancel: {
        default: boolean;
    };
    mask: {
        default: boolean;
    };
    maskClosable: {
        default: boolean;
    };
    closable: {
        default: boolean;
    };
    esc: {
        default: boolean;
    };
    beforeOk: {
        type: PropType<() => Boolean | Promise<void>>;
    };
}>> & {
    onChange?: (...args: any[]) => any;
    "onUpdate:visible"?: (...args: any[]) => any;
    onOk?: (...args: any[]) => any;
    onCancel?: (...args: any[]) => any;
    onAfterLeave?: (...args: any[]) => any;
    onMaskClick?: (...args: any[]) => any;
}, {
    closable: boolean;
    footer: boolean;
    to: string;
    visible: boolean;
    width: number;
    mask: boolean;
    maskClosable: boolean;
    ok: boolean;
    cancel: boolean;
    esc: boolean;
}>;
export default _default;
